Index: src/Actions/MoleculeAction/BondFileAction.cpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/BondFileAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -66,4 +66,7 @@
 };
 
+void MoleculeBondFileAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeBondFileAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/BondFileAction.hpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/BondFileAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/ChangeNameAction.cpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -62,4 +62,7 @@
 };
 
+void MoleculeChangeNameAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeChangeNameAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/ChangeNameAction.hpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/ChangeNameAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -71,4 +71,7 @@
   ActionRegistry::getInstance().getActionByName(MoleculeFillWithMoleculeAction::NAME)->call(Action::NonInteractive);
 };
+
+void MoleculeFillWithMoleculeAction::getParametersfromValueStorage()
+{};
 
 Dialog* MoleculeFillWithMoleculeAction::fillDialog(Dialog *dialog) {
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.hpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -71,4 +71,7 @@
 };
 
+void MoleculeLinearInterpolationofTrajectoriesAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeLinearInterpolationofTrajectoriesAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -70,4 +70,7 @@
   ActionRegistry::getInstance().getActionByName(MoleculeRotateAroundSelfByAngleAction::NAME)->call(Action::NonInteractive);
 };
+
+void MoleculeRotateAroundSelfByAngleAction::getParametersfromValueStorage()
+{};
 
 Dialog* MoleculeRotateAroundSelfByAngleAction::fillDialog(Dialog *dialog) {
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.hpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -68,4 +68,7 @@
   ActionRegistry::getInstance().getActionByName(MoleculeRotateToPrincipalAxisSystemAction::NAME)->call(Action::NonInteractive);
 };
+
+void MoleculeRotateToPrincipalAxisSystemAction::getParametersfromValueStorage()
+{};
 
 Dialog* MoleculeRotateToPrincipalAxisSystemAction::fillDialog(Dialog *dialog) {
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -68,4 +68,7 @@
 };
 
+void MoleculeSaveAdjacencyAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeSaveAdjacencyAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -68,4 +68,7 @@
 };
 
+void MoleculeSaveBondsAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeSaveBondsAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/SaveBondsAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveBondsAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/SaveTemperatureAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -65,4 +65,7 @@
 };
 
+void MoleculeSaveTemperatureAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeSaveTemperatureAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/SaveTemperatureAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/SuspendInWaterAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -65,4 +65,7 @@
 };
 
+void MoleculeSuspendInWaterAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeSuspendInWaterAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/SuspendInWaterAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/MoleculeAction/VerletIntegrationAction.cpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -65,4 +65,7 @@
 };
 
+void MoleculeVerletIntegrationAction::getParametersfromValueStorage()
+{};
+
 Dialog* MoleculeVerletIntegrationAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/MoleculeAction/VerletIntegrationAction.hpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.hpp	(revision 83f17610150f59038d04ff05a300df1d76c5df81)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.hpp	(revision 9ee38b1c3b23a38c779c8e4ad098fe0677a3a5b7)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
